function setImpressumText(language) {

	var xmlFile='textImpressum.xml';

	switch(language) {
		case 'de': languageNumber = 0;
			break;
		case 'at': languageNumber = 1;
			break;
		case 'en': languageNumber = 2;
			break;
		case 'fr': languageNumber = 3;
			break;
		case 'al': languageNumber = 4;
			break;
		case 'tr': languageNumber = 5;
			break;
		case 'fi': languageNumber = 6;
			break;
		case 'se': languageNumber = 7;
			break;
	    case 'dk':
	    case 'da': languageNumber = 8;
			break;
		case 'no': languageNumber = 9;
			break;
		case 'it': languageNumber = 10;
			break;
		case 'nl': languageNumber = 11;
			break;
		case 'pt': languageNumber = 12;
			break;
		case 'sp': languageNumber = 13;
			break;
		case 'es': languageNumber = 14;
			break;
		case 'ru': languageNumber = 15;
			break;
		case 'cz': languageNumber = 16;
			break;
		case 'cs': languageNumber = 17;
			break;
		case 'pl': languageNumber = 18;
			break;
		case 'sk': languageNumber = 19;
			break;
		case 'sl': languageNumber = 20;
			break;
		case 'hu': languageNumber = 21;
			break;
		case 'ro': languageNumber = 22;
			break;
		case 'jp': 	languageNumber = 0;
					xmlFile = "textImpressum_jp.xml";
			break;
		case 'zh': 	languageNumber = 0;
					xmlFile = "textImpressum_zh.xml";
					break;
	    case 'gr': languageNumber = 25;
	        break;
		default: languageNumber = 0;
	}

	var xmlDoc = loadXMLDoc(xmlFile);

	var headerCTInfo = xmlDoc.getElementsByTagName("header")[languageNumber].childNodes[0].nodeValue;
	var s1 = xmlDoc.getElementsByTagName("s1")[languageNumber].childNodes[0].nodeValue;
	var s2 = xmlDoc.getElementsByTagName("s2")[languageNumber].childNodes[0].nodeValue;
	var s3 = xmlDoc.getElementsByTagName("s3")[languageNumber].childNodes[0].nodeValue;
	var btnImpressum = xmlDoc.getElementsByTagName("btnImpressum")[languageNumber].childNodes[0].nodeValue;
	var s5 = xmlDoc.getElementsByTagName("s5")[languageNumber].childNodes[0].nodeValue;
	var s6 = xmlDoc.getElementsByTagName("s6")[languageNumber].childNodes[0].nodeValue;

	document.getElementById("headerCTInfo").innerHTML = headerCTInfo;
	document.getElementById("s1").innerHTML = s1;
	document.getElementById("s2").innerHTML = s2;
	document.getElementById("s3").innerHTML = s3;
	document.getElementById("btnImpressum").innerHTML = btnImpressum;
	document.getElementById("s5").innerHTML = s5;
	document.getElementById("s6").innerHTML = s6;
}

function setVbvText(language) {
	var xmlFile='textVbv.xml';
	var languageNumber = (language == "de") ? 0 : 1;
	
	var xmlDoc = loadXMLDoc(xmlFile);

	var headerVbv = xmlDoc.getElementsByTagName("header")[languageNumber].childNodes[0].nodeValue;
	var ContentText1 = xmlDoc.getElementsByTagName("ContentText1")[languageNumber].childNodes[0].nodeValue;
	var ContentText2 = xmlDoc.getElementsByTagName("ContentText2")[languageNumber].childNodes[0].nodeValue;
	var ContentText3 = xmlDoc.getElementsByTagName("ContentText3")[languageNumber].childNodes[0].nodeValue;
	var ContentText4 = xmlDoc.getElementsByTagName("ContentText4")[languageNumber].childNodes[0].nodeValue;

	document.getElementById("headerVbv").innerHTML = headerVbv;
	document.getElementById("ContentText1").innerHTML = ContentText1;
	document.getElementById("ContentText2").innerHTML = ContentText2;
	document.getElementById("ContentText3").innerHTML = ContentText3;
	document.getElementById("ContentText4").innerHTML = ContentText4;
}

function setMCSCText(language) {

	var xmlFile='text3D.xml';
	var languageNumber = (language == "de") ? 0 : 1;
	
	var xmlDoc = loadXMLDoc(xmlFile);

	var mainText1 = xmlDoc.getElementsByTagName("mainText1")[languageNumber].childNodes[0].nodeValue;
	var mainText2 = xmlDoc.getElementsByTagName("mainText2")[languageNumber].childNodes[0].nodeValue;
	var infoText1 = xmlDoc.getElementsByTagName("infoText1")[languageNumber].childNodes[0].nodeValue;
	var infoText2 = xmlDoc.getElementsByTagName("infoText2")[languageNumber].childNodes[0].nodeValue;

	document.getElementById("mainText1").innerHTML = mainText1;
	document.getElementById("mainText2").innerHTML = mainText2;
	document.getElementById("infoText1").innerHTML = infoText1;
	document.getElementById("infoText2").innerHTML = infoText2;
}

function setSafeKeyText(language) {

    var xmlFile = 'textSafeKey.xml';
    var languageNumber = (language == "de") ? 0 : 1;

    var xmlDoc = loadXMLDoc(xmlFile);

    document.getElementById("skHeader").innerHTML = xmlDoc.getElementsByTagName("skHeader")[languageNumber].childNodes[0].nodeValue;
    document.getElementById("skInfoText1").innerHTML = xmlDoc.getElementsByTagName("skInfoText1")[languageNumber].childNodes[0].nodeValue;
    document.getElementById("skInfoText2").innerHTML = xmlDoc.getElementsByTagName("skInfoText2")[languageNumber].childNodes[0].nodeValue;
    document.getElementById("skInfoText3").innerHTML = xmlDoc.getElementsByTagName("skInfoText3")[languageNumber].childNodes[0].nodeValue;
    document.getElementById("skInfoText4").innerHTML = xmlDoc.getElementsByTagName("skInfoText4")[languageNumber].childNodes[0].nodeValue;
}

function loadXMLDoc(filename) {
    
    if (window.XMLHttpRequest) {
        xhttp = new XMLHttpRequest();
    }
    else // code for IE5 and IE6
    {
        xhttp = new ActiveXObject("Microsoft.XMLHTTP");
    }
    
    xhttp.open("GET", filename, false);
    xhttp.send();

    return xhttp.responseXML;
}